Host search with parent_hostgroup returns all hosts when there are no matches
Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5249

  

Description

When searching for parent_hostgroup = "blablabla" where there is no hostgroup named "blablabla", the result includes all hosts.

Performing the same search with other criteria like "name" or "comment" instead, the results includes no hosts when there are no

matches. This is not necessarily a big deal for GUI searches, but for me it's problematic for API searches.

Associated revisions

Revision 6beb3d8b - 02/13/2018 05:14 PM - Tomer Brisker

Fixes #22556 - Correct host search for parent hostgroup

Currently, searching on a non-existant parent fails due to

`hostgroup.subtree_ids` throwing a NoMethodError when no matching

hostgroup is found. This is rescued by scoped search, causing the

search to run with no conditions instead.

(see

https://github.com/wvanbergen/scoped_search/blob/v4.1.2/lib/scoped_search/query_builder.rb#L405

for the scoped_search part)

History

#1 - 02/12/2018 03:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/5249 added

#2 - 02/13/2018 05:14 PM - Lukas Zapletal

- translation missing: en.field_release set to 330

#3 - 02/13/2018 06:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6beb3d8b15652e5a8dae3640806a1dbfbca8b046.
